SAVEPOINT "{savepoint}";

SELECT "documents_elementpath"."path",
       COUNT(*) OVER () AS "count"
FROM "documents_elementpath"
WHERE "documents_elementpath"."element_id" = '{A}'::uuid
ORDER BY "documents_elementpath"."id" ASC
LIMIT 1;

DELETE
FROM documents_elementpath parent_paths USING documents_elementpath other_paths
WHERE parent_paths.path && ARRAY['{A}'::uuid]
    AND other_paths.element_id = parent_paths.element_id
    AND NOT other_paths.path && ARRAY['{A}'::uuid] ;

UPDATE documents_elementpath
SET path = path[2 + 1:]
WHERE path @> '{{{X},{A}}}'::uuid[]
    AND path[:2] = '{{{X},{A}}}'::uuid[] ;

RELEASE SAVEPOINT "{savepoint}"
